## eclipse-pydev 3.9.2

=== plugins/org.python.pydev/pysrc/requirements.txt ===
Django==1.6.5
nose==1.3.3
ipython==2.1.0
numpy==1.8.2

=== debian/changelog ===
eclipse-pydev (3.9.2-4) unstable; urgency=medium

  * Team upload.
  * Vcs-Browser: Use https.
  * Switch from libasm3-java to libasm4-java. (Closes: #800848)

 -- Markus Koschany <apo@debian.org>  Wed, 04 Nov 2015 23:12:18 +0100

eclipse-pydev (3.9.2-3) unstable; urgency=medium

  [ Miguel Landaeta ]
  * Team upload (Closes: #790409).
  * Replace dependency on libconstantine-java with libjnr-constants-java.

  [ Jakub Adam ]
  * Replace dependency on libjaffl-java with libjnr-ffi-java
    (Closes: #789510).
  * Bump required libjnr-posix-java to >= 3.0.10-3.
  * Refresh add-orbit-dependencies-feature.xml.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 25 Jun 2015 11:56:35 +0200

eclipse-pydev (3.9.2-2) unstable; urgency=medium

  * Fix build of only arch-specific packages.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 17 Mar 2015 19:41:09 +0100

eclipse-pydev (3.9.2-1) unstable; urgency=medium

  * Reintroduction of eclipse-pydev by Jakub Adam and
    Markus Koschany (Closes: #636698)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 26 Feb 2015 19:27:06 +0100

eclipse-pydev (1.2.5-4) unstable; urgency=low

  * Expilictely use gcj-4.3 instead of gcj-4.1.

 -- Matthias Klose <doko@debian.org>  Sun, 11 May 2008 20:40:07 +0200

eclipse-pydev (1.2.5-3) unstable; urgency=low

  * debian/control: Remove duplicate attributes. Closes: #477375.
  * Don't build on alpha, arm, hppa and hurd-i386. Closes: #477856.
  * Build using recent gcj. Closes: #432539.
  * Depend on eclipse instead of eclipse-sdk. Closes: #433409.

 -- Matthias Klose <doko@debian.org>  Sat, 10 May 2008 10:38:52 +0200

eclipse-pydev (1.2.5-2) unstable; urgency=low

  * Upload Ubuntu package to Debian. Closes: #316731.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jan 2007 22:27:43 +0100

eclipse-pydev (1.2.5-1ubuntu1) feisty; urgency=low

  * New upstream release
  * Removed Jython code from the sources
  * Patched to work when configured to use system Jython

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Sat, 06 Nov 2006 22:00:01 +0200

eclipse-pydev (1.2.0-1ubuntu3) edgy; urgency=low

  * Changed the installation directory to /usr/lib/eclipse
  * Use new eclipse 3.2.1 for build

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Wed, 18 Oct 2006 23:29:37 +0200

eclipse-pydev (1.2.0-1ubuntu2) edgy; urgency=low

  * rebuild for libgcj7 -> libgcj7-0

 -- Michael Bienia <michael@vorlon.ping.de>  Fri, 25 Aug 2006 18:05:43 +0200

eclipse-pydev (1.2.0-1ubuntu1) edgy; urgency=low

  * New upstram version
  * Used backport patches from linux-distros-dev@eclipse.org
  * Removed debian/pydev.links.disabled
  * Removed ${python:Depends} from dependency list

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Sat, 24 Jun 2006 21:26:11 +0100

eclipse-pydev (1.0.3-1ubuntu1) dapper; urgency=low

  * New upstream version

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Fri, 31 Mar 2006 20:32:14 +0100

eclipse-pydev (0.9.8.3-1ubuntu2) dapper; urgency=low

  * debian/control: s/Build-Depends-Indep/Build-Depends/.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Mar 2006 15:28:46 +0100

eclipse-pydev (0.9.8.3-1ubuntu1) dapper; urgency=low

  * Build using java-gcj-compat-dev.
  * debian/rules: Updates for eclipse-3.1.2.
  * debian/control: Require eclipse-3.1.2.
  * eclipse-pydev-gcj: New native package.
  * Remove retroweaver jar's from the source package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Mar 2006 23:17:02 +0100

eclipse-pydev (0.9.8.3-1) dapper; urgency=low

  * Initial release.
  * Backport to use only Java 1.4 compatible code. The free runtimes don't
    support 1.5 yet very well.

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Sun, 11 Dec 2005 20:32:14 -0700

=== debian/control ===
Source: eclipse-pydev
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends:
 antlr3 (>= 3.2-9),
 debhelper (>= 9),
 eclipse-mylyn (>= 3.8.2-2),
 eclipse-pde (>= 3.8),
 eclipse-rse,
 javahelper,
 jython (>= 2.5.3-3),
 libasm4-java,
 libjnr-constants-java (>= 0.8.6-6),
 libguava-java (>= 13.0.1-2),
 libjffi-java (>= 1.0.2-10),
 libjnr-ffi-java (>= 1.0.10-3),
 libjnr-posix-java (>= 3.0.10-3),
 libjnr-x86asm-java (>= 1.0.2-3),
 libjpathwatch-java,
 libxerces2-java,
 libxmlrpc3-client-java,
 libxmlrpc3-common-java,
 libxmlrpc3-server-java,
 libyaml-snake-java,
 unzip,
 zip
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-pydev.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/eclipse-pydev.git
Homepage: http://pydev.org

Package: eclipse-pydev
Architecture: any
Depends:
 eclipse-pydev-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gdb
Description: Python IDE for Eclipse
 PyDev is a Python IDE for Eclipse, which may be used in Python, Jython and
 IronPython development.
 .
 It comes with many goodies such as:
 .
  * Django integration
  * Code completion
  * Code completion with auto import
  * Syntax highlighting
  * Code analysis
  * Go to definition
  * Refactoring
  * Mark occurrences
  * Debugger
  * Remote debugger
  * Tokens browser
  * Interactive console
  * Unittest integration
  * Code coverage

Package: eclipse-pydev-data
Architecture: all
Depends:
 eclipse-platform (>= 3.8),
 ${misc:Depends},
 ${orbit:Depends}
Recommends:
 python3
Suggests:
 ipython
Description: Python IDE for Eclipse (data)
 PyDev is a Python IDE for Eclipse, which may be used in Python, Jython and
 IronPython development.
 .
 It comes with many goodies such as:
 .
  * Django integration
  * Code completion
  * Code completion with auto import
  * Syntax highlighting
  * Code analysis
  * Go to definition
  * Refactoring
  * Mark occurrences
  * Debugger
  * Remote debugger
  * Tokens browser
  * Interactive console
  * Unittest integration
  * Code coverage
 .
 This package contains the architecture-independent data files of PyDev.

Package: eclipse-mylyn-context-pydev
Architecture: all
Depends:
 eclipse-mylyn,
 eclipse-pydev (>= ${binary:Version}),
 ${misc:Depends},
 ${orbit:Depends}
Description: Mylyn context integration for PyDev
 Mylyn context provides usage monitoring, degree-of-interested modeling and the
 task-focused user extensions implementation for the Eclipse UI, which re-aligns
 the user experience around tasks and provides features such as workspace
 focusing and one-click multitasking.
 .
 This package provides Mylyn context integration for Python development
 with PyDev.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME:=/usr/lib/jvm/default-java

BUILD_ID:=dist

%:
	# build.xml confuses dh, so move it aside
	if [ -f build.xml ]; then \
		mv build.xml build.xml.unused; \
	fi
	dh $@ --with eclipse-helper

override_dh_auto_build-arch:
	mkdir debian/tmp
	g++ -shared $$CPPFLAGS $$CXXFLAGS $$LDFLAGS -fPIC -nostartfiles -o attach_linux.so \
		plugins/org.python.pydev/pysrc/pydevd_attach_to_process/linux/attach_linux.c

override_jh_compilefeatures-arch:

override_jh_compilefeatures-indep:
	jh_compilefeatures -i --build-opts="-DjavacTarget=1.7 -DjavacSource=1.7 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)"

override_jh_installeclipse-indep:
	jh_installeclipse
	find debian/eclipse-pydev-data/usr/share/eclipse/dropins -type f -iregex '.*/LICENSE\(.txt\)?' -delete
	PYSRC_DIR=debian/eclipse-pydev-data/usr/share/eclipse/dropins/pydev/eclipse/plugins/org.python.pydev_*/pysrc; \
	rm -r $$PYSRC_DIR/.project \
	      $$PYSRC_DIR/.pydevproject \
	      $$PYSRC_DIR/.settings \
	      $$PYSRC_DIR/.travis.yml \
	      $$PYSRC_DIR/test*

override_dh_link:
	JYTHON_BUNDLE=$$(basename $$(find debian/eclipse-pydev-data -type d -name org.python.pydev.jython_*)); \
	dh_link -peclipse-pydev-data /usr/share/jython/Lib \
		/usr/share/eclipse/dropins/pydev/eclipse/plugins/$$JYTHON_BUNDLE/Lib

override_dh_auto_clean:
	dh_auto_clean
	if [ -f build.xml.unused ]; then \
		mv build.xml.unused build.xml; \
	fi
	rm -f attach_linux.so

get-orig-source:
	debian/fetch-pydev.sh

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/,\
uversionmangle=s/_/./g \
https://github.com/fabioz/Pydev/tags \
.*/archive/(?:upstream/)?(?:v||version-|VER_|release-|X|R|r)pydev_(\d+)_(\d+)_(\d+)\.tar\.gz
